<template>
  <navbar/>
  <div class="overflow-x-auto">
    
    <table class="table w-full">
      <!-- head -->
      <thead>
      <tr>
        <th>ID</th>
        <th>Asignatura</th>
        <th>Periodo</th>
        <th>Hora Inicio</th>
        <th>hora Termino</th>
       
      </tr>
      </thead>
      <tbody>
      <!-- row 1 -->
      <tr v-for="asignatura in asignaturas" :key="asignatura.asigId">
        <th>{{asignatura.asigId}}</th>
        <td>{{asignatura.tipoAsignatura}}</td>
        <td>{{asignatura.periodos[0].horaId}}</td>
        <td>{{asignatura.periodos[0].periodo.horaInicio}}</td>
        <td>{{asignatura.periodos[0].periodo.horaTermino}}</td>
        
        <td align="center">
          <label for="ModalEditar" class="btn" style="background-color: #A181E2">Editar</label> 
          <label for="ModalBorrar" class="btn" style="background-color: red">Eliminar</label>
          </td>
          <!-- ayudaaaaa aca esta separadp v-if="asignatura.tipoAsignatura == MATEMATICA"-->
          <input type="checkbox"  id="ModalEditar" class="modal-toggle" />
<div class="modal">
  <div class="modal-box w-11/12 max-w-5xl">
    
    <h3 class="font-bold text-lg" align="center">{{asignatura.tipoAsignatura}}</h3>
      <div class="Pruebaa" >
        <thead>
      <tr>
        <th></th>
        <th>Periodo</th>
        <th>Hora Inicio</th>
        <th>hora Termino</th>
      </tr>
      </thead>
      
    <td> </td>
        <td> {{asignatura.periodos[0].horaId}}</td>
        <td>{{asignatura.periodos[0].periodo.horaInicio}}</td>
        <td>{{asignatura.periodos[0].periodo.horaTermino}}</td>
      
      </div>
      <br>
   
    <div class="modal-action">
     
      <label for="ModalEditar" class="btn">Cancelar</label>
      <label for="Nuevo horario" class="btn" style="background-color: #A181E2">Añadir Nuevo Periodo</label>
    </div>
   
    
  </div>
</div>
         
      </tr>
      
      <input type="checkbox" id="ModalBorrar" class="modal-toggle" />
      <div class="modal">
       <div class="modal-box w-11/12 max-w-5x1">
      <h2 class="font-bold text-lg">Confirma eliminacion de horario</h2>
    
        <div class="modal-action">
          
      <label for="ModalBorrar" class="btn">Cancelar</label>
      <label for="ModalBorrar" @click="borrarHorario(asignatura.asigId)" class="btn" style="background-color: #A181E2">Confirmar</label>
       </div>
       </div>
      </div>
      


      </tbody>
    </table>
    <br>
    <a href="/horario">
      <button class="btn btn-primary" >Ver Horario</button>
    </a>
    
  </div>





<input type="checkbox" id="Nuevo horario" class="modal-toggle" />
<label for="Nuevo horario" class="modal cursor-pointer">
  <label class="modal-box relative" for="">
    
    <select class="select select-secondary w-full max-w-xs">
      
  <option disabled selected>Seleccione nuevo periodo</option>
  <option v-for="periodo in listaPeriodos" value="periodo.per_id" value1="asignatura.asigId"> {{periodo.dia}}  {{periodo.horaInicio}} {{periodo.horaTermino}}</option>
 

</select>

    <div class="modal-action">
      <label for="Nuevo horario" @click="saveHorario(this.value, this.value1)" class="btn" style="background-color: #A181E2">Guardar</label>
    </div>
  </label>
  
</label>


    



<footer/>
</template>
<script>

import axios from "axios";
import navbar from "../../components/Navbar.vue";
import Footer from '../../components/Footer.vue';

export default {
  components: { Footer, navbar },


  data: () => ({

    asignaturas:[],
    periodos:[],
    listaPeriodos:[]
  }),
  mounted(){

    const obtenerAsignaturas = "adminitracionCursos/mostrarTodasAsignatura"
    const obtenerPeriodos = "periodos/listarPeriodos"

    axios
      .get(obtenerAsignaturas, {
        headers: { Authorization: localStorage.getItem('auth') },
      })
      .then((resp) => {
        this.asignaturas = resp.data;
        this.periodos = this.asignaturas.periodos;
        console.log(this.asignaturas);

      });
      axios
      .get(obtenerPeriodos,{
        headers: { Authorization: localStorage.getItem('auth') },
      })
      .then((resp) => {
        this.listaPeriodos= resp.data;
        console.log(this.listaPeriodos);

      });
      axios 
      .post(obtenerAsignaturas,{
        headers: { Authorization: localStorage.getItem('auth')},
      })
      
  },
 
  methods: {
    
    borrarHorario(asigId){
     axios({
       method: "DELETE",
       url: "horarios/asignatura/"+asigId+"/eliminarHorario/"+this.asignaturas.periodos[0].horaId,
        
       }).then((res) => {
        alert(
         "Horario correctamente eliminado"
        )
       }).catch((err) => console.log(err));
    },

    //asignar nuevo periodo a asignatura
    saveHorario(perId,asigId){
      axios({
       method: "POST",
       url: "horarios/asignatura/"+asigId+"/asignarHorario/"+perId,
        
       }).then((res) => {
        alert(
         "Periodo Añadido correctamente a asignatura"
        )
       }).catch((err) => console.log(err));
    }
   }
 
}
</script>
